View Issue Details

IDProjectCategoryView StatusLast Update
0015787LazarusLCLpublic2010-05-23 10:09
ReporterChristianAssigned ToJesus Reyes 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015787: Grids dont Hide Editor on leave there Focus
DescriptionThis sounds very trivial but is has big consequences.
In my Case for the DBGrid The DBGrid dont Hides the Editor on Exit couse Customgrid dont does this. In Case of the DBgrid the Dataset is leaved in Edit state.
I dont know why exactly but, when you start to type after that in another dbedit field the dbedit field loses his focus after the first char, and you type into the grid that had the focus last. Maybe you can imagine what this means for the user... The cursor jumps wild between Grids in an application.
And for my opinion it makes no sense to leave The Inplace Editor on when leaving an grid and AlwaysShowEditor is not Activated.
Tagsdbgrids
Fixed in Revision25583
LazTarget0.9.30
WidgetsetGTK, GTK 2, Win32/Win64, WinCE, Carbon, QT, fpGUI
Attached Files

Activities

Jesus Reyes

2010-05-22 18:49

developer   ~0037871

please test and close if ok

Christian

2010-05-23 10:09

reporter   ~0037897

Wow :)
nice work thanks.

Issue History

Date Modified Username Field Change
2010-02-16 14:44 Christian New Issue
2010-02-16 14:44 Christian Widgetset => GTK, GTK 2, Win32/Win64, WinCE, Carbon, QT, fpGUI
2010-02-16 20:15 Jesus Reyes Status new => assigned
2010-02-16 20:15 Jesus Reyes Assigned To => Jesus Reyes
2010-03-15 02:30 Jesus Reyes Tag Attached: dbgrids
2010-03-15 02:31 Jesus Reyes LazTarget => 0.9.30
2010-03-15 02:31 Jesus Reyes Severity major => block
2010-03-15 02:31 Jesus Reyes Target Version => 0.9.30
2010-05-22 18:49 Jesus Reyes Fixed in Revision => 25583
2010-05-22 18:49 Jesus Reyes Status assigned => resolved
2010-05-22 18:49 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-05-22 18:49 Jesus Reyes Resolution open => fixed
2010-05-22 18:49 Jesus Reyes Note Added: 0037871
2010-05-23 10:09 Christian Status resolved => closed
2010-05-23 10:09 Christian Note Added: 0037897